## List Snapshots **get** `/assets/{assetId}/snapshots` List snapshots of a canvas type asset ### Path Parameters - `assetId: string` ### Query Parameters - `pageSize: optional number` The number of items to return in the response. The default value is 10, maximum value is 100, minimum value is 10 - `paginationToken: optional string` A token you received in a previous request to query the next page of items ### Returns - `snapshots: array of object { authorId, hash, rawData, takenAt }` - `authorId: string` - `hash: string` - `rawData: string` - `takenAt: number` - `nextPaginationToken: optional string` A token to query the next page of snapshots ### Example ```http curl https://api.cloud.scenario.com/v1/assets/$ASSET_ID/snapshots \ -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" ``` #### Response ```json { "snapshots": [ { "authorId": "authorId", "hash": "hash", "rawData": "rawData", "takenAt": 0 } ], "nextPaginationToken": "nextPaginationToken" } ```